Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.controls
Class JetVector

    java.lang.Object
      jet.controls.JetProperty
          jet.controls.JetVector

All Implemented Interfaces:
  jet.convert.PropInfo, jet.convert.VectorInfo, jet.util.Propertiable

Direct Known Subclasses:
  JetColumnVector

    public class JetVector

extends JetProperty
implements jet.convert.VectorInfo

JetVector, for saving/retrieving a String vector.

Field Summary

Fields inherited from class jet.controls.JetProperty
`CHART_BACKGROUND_EDITOR, CHART_FILLPATTERN_EDITOR, CHART_FILTER_EDITOR, CHART_FILTER_EDITOR_NO_DATE, CHART_ICON_STYLE, CHART_PATTERN_LIST_EDITOR, CHART_PENSTYLE_EDITOR, CHART_TEXTSTYLE_EDITOR, CHOICE_EDITOR, COLOR_EDITOR, COMBO_EDITOR, COMMAND_EDITOR, CONTROL_SELECT_ITEMS, DATASOURCE_EDITOR, DBCOL_EDITOR, DETAIL_REPORT_EDITOR, EDIT_FORBIDDEN, EDIT_FORBIDDEN_INIT, EDITABLE_ALLTIME, INTERNAL, LINK_EDITOR, MULSEL_EDITOR, PARAMCOL_EDITOR, QUERY_EDITOR, RECORDDB_EDITOR, SECURITY_EDITOR, TEXT_EDITOR`

Fields inherited from interface jet.util.Propertiable
`BIGSTRING, BOOLEAN, CHG_FMTTINGBLNAME, CHG_FMTTINGFORMULA, CHG_OTHER, COLOR, COMPFML_RESOURCE, CUSTOMER, CUSTOMERLINK, DELIM, DELIMCHAR, DOUBLE, ENUMERATION, IGNORED, IMAGE, IMGVECTOR, MAPPINGTBL, NORMAL_RESOURCE, NUMBER, REFERENCE, STRING, SUB1_DELIM, UNIT, VAL_NORMALLENGTH, VAL_NORMALSTART, VECTOR`

Constructor Summary
`JetVector()`
`JetVector(jet.controls.JetObject parent, java.lang.String name)` Create JetVector instance with 0 size vector(both default value and normal value)

Method Summary
`void` | `add(java.lang.String s)` Adds the specified String to the end of normal value
`void` | `clear()` Resets normal value
`boolean` | `equal(JetProperty str)`
`java.util.Vector` | `get()` Effective if `JetProperty.isCurrentAutoValue()` is false; gets the normal value.
`java.lang.String` | `getInspValue()` Effective if `JetProperty.isCurrentAutoValue()` is false.
`void` | `remove(java.lang.String s)` Removes the specified String to the end of normal value
`void` | `set(java.lang.String strings)` Sets normal value via a DELIM separated string.
`void` | `set(java.util.Vector strings)` Resets normal value via specified vector.
`void` | `setObject(java.lang.Object value)` Sets normal value
`int[]` | `toIntArray()` Effective if `JetProperty.isCurrentAutoValue()` is false, parse each string to an integer, and return them.
`java.lang.String` | `toString()` Effective if `JetProperty.isCurrentAutoValue()` is false, merge all items in normal value, separated by DELIM to String
`java.lang.String[]` | `toStringArray()` Effective if `JetProperty.isCurrentAutoValue()` is false.

Methods inherited from class jet.controls.JetProperty
`canChangeByBL, canChangeByFmtt, canChangeByOthers, enableAllChangeBys, getChangeBy, getChangeByBL, getChangeByBLName, getChangeByBLType, getChangeByFmtt, getChangeByFmttName, getChangeByObject, getChangeByObjectName, getChangeByOtherType, getCurrentChangedBy, getCurrentValue, getCurrentValue, getEditFlag, getEditorType, getInspValue, getMatchingSqlType, getName, getNormalObject, getObject, getParent, getPropertyChoice, getPropType, getRuntimeChangeBy, getUnifiedObject, getValue, isChagneByFmtt, isChangeByBL, isChangeByOther, isCurrentAutoValue, isCurrentChangedBy, isEnableAutoValue, isNull, isSetAnyChangeBy, isSetRuntimeChgBy, isTransient, loadFullChangeBy, propertyChanged, saveFullChangeBy, setAsAutoValue, setCanChangeByBL, setCanChangeByFmtt, setCanChangeByOthers, setChangeByBL, setChangeByBL, setChangeByFmtt, setChangeByObject, setChangeByObject, setEditFlag, setEditorType, setEnableAutoValue, setRuntimeChangeBy, setTransient, setUnitValue, toUnitString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface jet.convert.PropInfo
`getChangeByObjectName, getName, getValue, isChangeByOther, isNull, toUnitString`

Constructor Detail

### JetVector

    public JetVector()

### JetVector

    public JetVector(jet.controls.JetObject parent,
                     java.lang.String name)

  Create JetVector instance with 0 size vector(both default value and normal value)

  Parameters:
    `parent` - owner
    `name` - name

Method Detail

### add

    public void add(java.lang.String s)

  Adds the specified String to the end of normal value

### remove

    public void remove(java.lang.String s)

  Removes the specified String to the end of normal value

### clear

    public void clear()

  Resets normal value

  See Also:
    `set(Vector)`

### toString

    public java.lang.String toString()

  Effective if `JetProperty.isCurrentAutoValue()` is false, merge all items in normal value, separated by DELIM to String

  Specified by:
    `toString` in interface `jet.convert.PropInfo`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string
  See Also:
    `JetProperty.isCurrentAutoValue()`

### getInspValue

    public java.lang.String getInspValue()

  Description copied from class: `JetProperty`
  Effective if `JetProperty.isCurrentAutoValue()` is false. Only For Designer UI. In most cases, return string based on unit

  Specified by:
    `getInspValue` in interface `jet.convert.PropInfo`
  Overrides:
    `getInspValue` in class `JetProperty`
  See Also:
    `JetProperty.isCurrentAutoValue()`

### setObject

    public void setObject(java.lang.Object value)

  Description copied from class: `JetProperty`
  Sets normal value

  Specified by:
    `setObject` in interface `jet.util.Propertiable`
  Overrides:
    `setObject` in class `JetProperty`

### set

    public void set(java.util.Vector strings)

  Resets normal value via specified vector.

  Parameters:
    `strings` - the specified vector be about to reset to normal value, DO NOT `null`
  See Also:
    `set(String)`

### set

    public void set(java.lang.String strings)

  Sets normal value via a DELIM separated string.

  Specified by:
    `set` in interface `jet.util.Propertiable`
  Overrides:
    `set` in class `JetProperty`
  Parameters:
    `strings` - a DELIM separated string, DO NOT `null`
  Throws:
    `java.lang.NullPointerException` - if `strings` is `null`
  See Also:
    `toString()`

### get

    public java.util.Vector get()

  Effective if `JetProperty.isCurrentAutoValue()` is false; gets the normal value.

  Specified by:
    `get` in interface `jet.convert.VectorInfo`
  Returns:
    normal value
  See Also:
    `JetProperty.isCurrentAutoValue()`

### toIntArray

    public int[] toIntArray()

  Effective if `JetProperty.isCurrentAutoValue()` is false, parse each string to an integer, and return them.

  Specified by:
    `toIntArray` in interface `jet.convert.VectorInfo`
  Throws:
    `java.lang.NumberFormatException` - if one string does not contain parsable integer.
  See Also:
    `toStringArray()`, `JetProperty.isCurrentAutoValue()`

### toStringArray

    public java.lang.String[] toStringArray()

  Effective if `JetProperty.isCurrentAutoValue()` is false.

  Specified by:
    `toStringArray` in interface `jet.convert.VectorInfo`
  Returns:
    the strings in vector as array.
  See Also:
    `JetProperty.isCurrentAutoValue()`

### equal

    public boolean equal(JetProperty str)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD